<template>
  <CommonCategoryDetail
    :pageConfigName="querys.pageConfigName"
    :pageQuerys="rawQuerys"
  />
</template>

<script setup lang="ts">
import { ref } from 'vue';
import { onShareAppMessage, onShareTimeline } from '@dcloudio/uni-app';
import { useLoadQuerys } from '@/common/composeabe/LoadQuerys';
import CommonCategoryDetail from './CommonCategoryDetail.vue';

const pageRef = ref();

/**
 * 动态通用内容 - 通用详情页
 */
const { querys, rawQuerys } = useLoadQuerys({
  pageConfigName: '',
});

onShareTimeline(() => {
  return pageRef.value?.getPageShareData() || {}; 
})
onShareAppMessage(() => {
  return pageRef.value?.getPageShareData() || {};
})
</script>
